Bug 223054 - devel/awscli: groff required for help, but not a dependency
Summary: devel/awscli: groff required for help, but not a dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bradley T. Hughes
URL:
Keywords:
: 223131 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-10-16 20:57 UTC by Andrew
Modified: 2019-08-27 21:42 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (bhughes)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew 2017-10-16 20:57:26 UTC
Groff is not a listed dependency for devel/awscli, but is required for the help subcommand.
Comment 1 Bradley T. Hughes freebsd_committer 2017-10-21 10:00:33 UTC
*** Bug 223131 has been marked as a duplicate of this bug. ***
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-02-25 23:45:33 UTC
 aws help
AWS()                                                                    AWS()



NAME
       aws -

       The  AWS  Command  Line  Interface is a unified tool to manage your AWS
       services.

SYNOPSIS
          aws [options] <command> <subcommand> [parameters]

       Use aws command help for information on a  specific  command.  Use  aws
       help  topics  to view a list of available help topics. The synopsis for
       each command shows its parameters and their usage. Optional  parameters
       are shown in square brackets.

OPTIONS
       --debug (boolean)

       Turn on debug logging.

       --endpoint-url (string)

       Override command's default URL with the given URL.

       --no-verify-ssl (boolean)

       By  default, the AWS CLI uses SSL when communicating with AWS services.
       For each SSL connection, the AWS CLI will verify SSL certificates. This
       option overrides the default behavior of verifying SSL certificates.

       --no-paginate (boolean)

       Disable automatic pagination.

       --output (string)

       The formatting style for command output.

       o json

       o text

       o table

       --query (string)

       A JMESPath query to use in filtering the response data.

       --profile (string)

       Use a specific profile from your credential file.

       --region (string)

       The region to use. Overrides config/env settings.

       --version (string)

       Display the version of this tool.

       --color (string)

.....

pkg info groff
pkg: No package(s) matching groff

I see no problem(?)
Comment 3 Ed Maste freebsd_committer 2018-02-28 01:19:42 UTC
(In reply to w.schwarzenfeld from comment #2)
Perhaps this was just fixed in a newer awscli version.
Comment 4 Walter Schwarzenfeld freebsd_triage 2018-02-28 01:25:28 UTC
Ok, so I close here. If there still problems, please reopen.
Comment 5 Sergey A. Osokin freebsd_committer 2019-04-24 00:11:19 UTC
This is still the problem.

% aws help

Could not find executable named "groff"
%
Comment 6 Sergey A. Osokin freebsd_committer 2019-04-24 00:12:36 UTC
% aws --version
aws-cli/1.16.140 Python/3.6.8 FreeBSD/12.0-STABLE botocore/1.12.130
Comment 7 Bradley T. Hughes freebsd_committer 2019-07-31 19:36:51 UTC
Just committed a fix, simply adding USES+=groff:run. Thanks for the report :)
Comment 8 commit-hook freebsd_committer 2019-07-31 19:36:56 UTC
A commit references this bug:

Author: bhughes
Date: Wed Jul 31 19:36:04 UTC 2019
New revision: 507730
URL: https://svnweb.freebsd.org/changeset/ports/507730

Log:
  devel/awscli: add runtime dependency on groff

  This is needed to display help/documentation.

  PR:		223054
  Reported by:	andrew.fengler@scaleengine.com
  Sponsored by:	Miles AS

Changes:
  head/devel/awscli/Makefile
Comment 9 dewayne 2019-08-01 00:18:19 UTC
(In reply to Bradley T. Hughes from comment #7)
Would it be "better" to use 
DOCS_USES=              groff
like databases/rrdtool uses it to restrict the dependency requirement?
Comment 10 Bradley T. Hughes freebsd_committer 2019-08-27 21:42:59 UTC
Yes, that's a good idea. I'm going to make the change now :)